Speed and call quality testMy IP addressIP subnet calculatorDNS reportWhoIs lookupRemote support

Internet and network

Speed and call quality testTest delay, jitter and speed, with a focus on phone calls.My IP addressYour public IPv4 and IPv6 addresses, provider and address range.WhoIs lookupWho owns a domain or IP address, when it expires, and its DNS.DNS reportEvery DNS record for a domain, with email setup checked.IP subnet calculatorWork out a network's range, mask and hosts, and split it into subnets.

Computers and devices

Update checkIs this computer, phone and browser up to date? With links to update.Camera and mic testCheck your webcam and microphone before a call.Test print pagePrint an A4 page to check a printer: edges, text, line art and colours.

Make and print

Clean textStrip hidden characters, smart quotes and odd spaces from pasted text.QR code makerMake a QR code for a link, contact or message. Nothing leaves your browser.Wi-Fi QR posterPrint an A4 poster that lets guests join your Wi-Fi by scanning.

Surftec support

Remote supportLet a Surftec engineer connect to your computer to help you.All workingA full-screen confirmation that everything is up and running.

Surftec

Surftec websiteServices, news and how to contact Surftec
Cloud Tools
Guest
GuestNot signed in

Surftec customers will be recognised automatically when they use these tools from their office network.

Customer sign-in is coming soon.

IP subnet calculator

Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.

Network154.0.0.0/7
Usable hosts33,554,430
Subnet mask254.0.0.0
Addresses33,554,432
Network address
154.0.0.0
Broadcast address
155.255.255.255
First usable
154.0.0.1
Last usable
155.255.255.254
Usable hosts
33,554,430 (33,554,432 less the network and broadcast addresses)
Subnet mask
254.0.0.0
Wildcard mask
1.255.255.255 (Cisco ACLs, OSPF)
Prefix length
/7
Type
Public public
Old class
B (default /16)
As numbers
Hex 9A000000 · Integer 2583691264 to 2617245695
Reverse DNS zones
154.in-addr.arpa
155.in-addr.arpa
/7 is not on a 8-bit boundary, so it takes 2 /8 zones.
Binary
Binary view
Binary (network bits bold, host bits grey)Dotted
Address10011010.00000000.00000000.00000000154.0.0.0
Subnet mask11111110.00000000.00000000.00000000254.0.0.0
Network10011010.00000000.00000000.00000000154.0.0.0
Broadcast10011011.11111111.11111111.11111111155.255.255.255
Split into smaller subnets/16

154.0.0.0/7 makes 512 subnets of /16; the first 256 are listed.

Subnets
#SubnetUsable hosts rangeBroadcastHosts
1154.0.0.0/16154.0.0.1 to 154.0.255.254154.0.255.25565,534
2154.1.0.0/16154.1.0.1 to 154.1.255.254154.1.255.25565,534
3154.2.0.0/16154.2.0.1 to 154.2.255.254154.2.255.25565,534
4154.3.0.0/16154.3.0.1 to 154.3.255.254154.3.255.25565,534
5154.4.0.0/16154.4.0.1 to 154.4.255.254154.4.255.25565,534
6154.5.0.0/16154.5.0.1 to 154.5.255.254154.5.255.25565,534
7154.6.0.0/16154.6.0.1 to 154.6.255.254154.6.255.25565,534
8154.7.0.0/16154.7.0.1 to 154.7.255.254154.7.255.25565,534
9154.8.0.0/16154.8.0.1 to 154.8.255.254154.8.255.25565,534
10154.9.0.0/16154.9.0.1 to 154.9.255.254154.9.255.25565,534
11154.10.0.0/16154.10.0.1 to 154.10.255.254154.10.255.25565,534
12154.11.0.0/16154.11.0.1 to 154.11.255.254154.11.255.25565,534
13154.12.0.0/16154.12.0.1 to 154.12.255.254154.12.255.25565,534
14154.13.0.0/16154.13.0.1 to 154.13.255.254154.13.255.25565,534
15154.14.0.0/16154.14.0.1 to 154.14.255.254154.14.255.25565,534
16154.15.0.0/16154.15.0.1 to 154.15.255.254154.15.255.25565,534
17154.16.0.0/16154.16.0.1 to 154.16.255.254154.16.255.25565,534
18154.17.0.0/16154.17.0.1 to 154.17.255.254154.17.255.25565,534
19154.18.0.0/16154.18.0.1 to 154.18.255.254154.18.255.25565,534
20154.19.0.0/16154.19.0.1 to 154.19.255.254154.19.255.25565,534
21154.20.0.0/16154.20.0.1 to 154.20.255.254154.20.255.25565,534
22154.21.0.0/16154.21.0.1 to 154.21.255.254154.21.255.25565,534
23154.22.0.0/16154.22.0.1 to 154.22.255.254154.22.255.25565,534
24154.23.0.0/16154.23.0.1 to 154.23.255.254154.23.255.25565,534
25154.24.0.0/16154.24.0.1 to 154.24.255.254154.24.255.25565,534
26154.25.0.0/16154.25.0.1 to 154.25.255.254154.25.255.25565,534
27154.26.0.0/16154.26.0.1 to 154.26.255.254154.26.255.25565,534
28154.27.0.0/16154.27.0.1 to 154.27.255.254154.27.255.25565,534
29154.28.0.0/16154.28.0.1 to 154.28.255.254154.28.255.25565,534
30154.29.0.0/16154.29.0.1 to 154.29.255.254154.29.255.25565,534
31154.30.0.0/16154.30.0.1 to 154.30.255.254154.30.255.25565,534
32154.31.0.0/16154.31.0.1 to 154.31.255.254154.31.255.25565,534
33154.32.0.0/16154.32.0.1 to 154.32.255.254154.32.255.25565,534
34154.33.0.0/16154.33.0.1 to 154.33.255.254154.33.255.25565,534
35154.34.0.0/16154.34.0.1 to 154.34.255.254154.34.255.25565,534
36154.35.0.0/16154.35.0.1 to 154.35.255.254154.35.255.25565,534
37154.36.0.0/16154.36.0.1 to 154.36.255.254154.36.255.25565,534
38154.37.0.0/16154.37.0.1 to 154.37.255.254154.37.255.25565,534
39154.38.0.0/16154.38.0.1 to 154.38.255.254154.38.255.25565,534
40154.39.0.0/16154.39.0.1 to 154.39.255.254154.39.255.25565,534
41154.40.0.0/16154.40.0.1 to 154.40.255.254154.40.255.25565,534
42154.41.0.0/16154.41.0.1 to 154.41.255.254154.41.255.25565,534
43154.42.0.0/16154.42.0.1 to 154.42.255.254154.42.255.25565,534
44154.43.0.0/16154.43.0.1 to 154.43.255.254154.43.255.25565,534
45154.44.0.0/16154.44.0.1 to 154.44.255.254154.44.255.25565,534
46154.45.0.0/16154.45.0.1 to 154.45.255.254154.45.255.25565,534
47154.46.0.0/16154.46.0.1 to 154.46.255.254154.46.255.25565,534
48154.47.0.0/16154.47.0.1 to 154.47.255.254154.47.255.25565,534
49154.48.0.0/16154.48.0.1 to 154.48.255.254154.48.255.25565,534
50154.49.0.0/16154.49.0.1 to 154.49.255.254154.49.255.25565,534
51154.50.0.0/16154.50.0.1 to 154.50.255.254154.50.255.25565,534
52154.51.0.0/16154.51.0.1 to 154.51.255.254154.51.255.25565,534
53154.52.0.0/16154.52.0.1 to 154.52.255.254154.52.255.25565,534
54154.53.0.0/16154.53.0.1 to 154.53.255.254154.53.255.25565,534
55154.54.0.0/16154.54.0.1 to 154.54.255.254154.54.255.25565,534
56154.55.0.0/16154.55.0.1 to 154.55.255.254154.55.255.25565,534
57154.56.0.0/16154.56.0.1 to 154.56.255.254154.56.255.25565,534
58154.57.0.0/16154.57.0.1 to 154.57.255.254154.57.255.25565,534
59154.58.0.0/16154.58.0.1 to 154.58.255.254154.58.255.25565,534
60154.59.0.0/16154.59.0.1 to 154.59.255.254154.59.255.25565,534
61154.60.0.0/16154.60.0.1 to 154.60.255.254154.60.255.25565,534
62154.61.0.0/16154.61.0.1 to 154.61.255.254154.61.255.25565,534
63154.62.0.0/16154.62.0.1 to 154.62.255.254154.62.255.25565,534
64154.63.0.0/16154.63.0.1 to 154.63.255.254154.63.255.25565,534
65154.64.0.0/16154.64.0.1 to 154.64.255.254154.64.255.25565,534
66154.65.0.0/16154.65.0.1 to 154.65.255.254154.65.255.25565,534
67154.66.0.0/16154.66.0.1 to 154.66.255.254154.66.255.25565,534
68154.67.0.0/16154.67.0.1 to 154.67.255.254154.67.255.25565,534
69154.68.0.0/16154.68.0.1 to 154.68.255.254154.68.255.25565,534
70154.69.0.0/16154.69.0.1 to 154.69.255.254154.69.255.25565,534
71154.70.0.0/16154.70.0.1 to 154.70.255.254154.70.255.25565,534
72154.71.0.0/16154.71.0.1 to 154.71.255.254154.71.255.25565,534
73154.72.0.0/16154.72.0.1 to 154.72.255.254154.72.255.25565,534
74154.73.0.0/16154.73.0.1 to 154.73.255.254154.73.255.25565,534
75154.74.0.0/16154.74.0.1 to 154.74.255.254154.74.255.25565,534
76154.75.0.0/16154.75.0.1 to 154.75.255.254154.75.255.25565,534
77154.76.0.0/16154.76.0.1 to 154.76.255.254154.76.255.25565,534
78154.77.0.0/16154.77.0.1 to 154.77.255.254154.77.255.25565,534
79154.78.0.0/16154.78.0.1 to 154.78.255.254154.78.255.25565,534
80154.79.0.0/16154.79.0.1 to 154.79.255.254154.79.255.25565,534
81154.80.0.0/16154.80.0.1 to 154.80.255.254154.80.255.25565,534
82154.81.0.0/16154.81.0.1 to 154.81.255.254154.81.255.25565,534
83154.82.0.0/16154.82.0.1 to 154.82.255.254154.82.255.25565,534
84154.83.0.0/16154.83.0.1 to 154.83.255.254154.83.255.25565,534
85154.84.0.0/16154.84.0.1 to 154.84.255.254154.84.255.25565,534
86154.85.0.0/16154.85.0.1 to 154.85.255.254154.85.255.25565,534
87154.86.0.0/16154.86.0.1 to 154.86.255.254154.86.255.25565,534
88154.87.0.0/16154.87.0.1 to 154.87.255.254154.87.255.25565,534
89154.88.0.0/16154.88.0.1 to 154.88.255.254154.88.255.25565,534
90154.89.0.0/16154.89.0.1 to 154.89.255.254154.89.255.25565,534
91154.90.0.0/16154.90.0.1 to 154.90.255.254154.90.255.25565,534
92154.91.0.0/16154.91.0.1 to 154.91.255.254154.91.255.25565,534
93154.92.0.0/16154.92.0.1 to 154.92.255.254154.92.255.25565,534
94154.93.0.0/16154.93.0.1 to 154.93.255.254154.93.255.25565,534
95154.94.0.0/16154.94.0.1 to 154.94.255.254154.94.255.25565,534
96154.95.0.0/16154.95.0.1 to 154.95.255.254154.95.255.25565,534
97154.96.0.0/16154.96.0.1 to 154.96.255.254154.96.255.25565,534
98154.97.0.0/16154.97.0.1 to 154.97.255.254154.97.255.25565,534
99154.98.0.0/16154.98.0.1 to 154.98.255.254154.98.255.25565,534
100154.99.0.0/16154.99.0.1 to 154.99.255.254154.99.255.25565,534
101154.100.0.0/16154.100.0.1 to 154.100.255.254154.100.255.25565,534
102154.101.0.0/16154.101.0.1 to 154.101.255.254154.101.255.25565,534
103154.102.0.0/16154.102.0.1 to 154.102.255.254154.102.255.25565,534
104154.103.0.0/16154.103.0.1 to 154.103.255.254154.103.255.25565,534
105154.104.0.0/16154.104.0.1 to 154.104.255.254154.104.255.25565,534
106154.105.0.0/16154.105.0.1 to 154.105.255.254154.105.255.25565,534
107154.106.0.0/16154.106.0.1 to 154.106.255.254154.106.255.25565,534
108154.107.0.0/16154.107.0.1 to 154.107.255.254154.107.255.25565,534
109154.108.0.0/16154.108.0.1 to 154.108.255.254154.108.255.25565,534
110154.109.0.0/16154.109.0.1 to 154.109.255.254154.109.255.25565,534
111154.110.0.0/16154.110.0.1 to 154.110.255.254154.110.255.25565,534
112154.111.0.0/16154.111.0.1 to 154.111.255.254154.111.255.25565,534
113154.112.0.0/16154.112.0.1 to 154.112.255.254154.112.255.25565,534
114154.113.0.0/16154.113.0.1 to 154.113.255.254154.113.255.25565,534
115154.114.0.0/16154.114.0.1 to 154.114.255.254154.114.255.25565,534
116154.115.0.0/16154.115.0.1 to 154.115.255.254154.115.255.25565,534
117154.116.0.0/16154.116.0.1 to 154.116.255.254154.116.255.25565,534
118154.117.0.0/16154.117.0.1 to 154.117.255.254154.117.255.25565,534
119154.118.0.0/16154.118.0.1 to 154.118.255.254154.118.255.25565,534
120154.119.0.0/16154.119.0.1 to 154.119.255.254154.119.255.25565,534
121154.120.0.0/16154.120.0.1 to 154.120.255.254154.120.255.25565,534
122154.121.0.0/16154.121.0.1 to 154.121.255.254154.121.255.25565,534
123154.122.0.0/16154.122.0.1 to 154.122.255.254154.122.255.25565,534
124154.123.0.0/16154.123.0.1 to 154.123.255.254154.123.255.25565,534
125154.124.0.0/16154.124.0.1 to 154.124.255.254154.124.255.25565,534
126154.125.0.0/16154.125.0.1 to 154.125.255.254154.125.255.25565,534
127154.126.0.0/16154.126.0.1 to 154.126.255.254154.126.255.25565,534
128154.127.0.0/16154.127.0.1 to 154.127.255.254154.127.255.25565,534
129154.128.0.0/16154.128.0.1 to 154.128.255.254154.128.255.25565,534
130154.129.0.0/16154.129.0.1 to 154.129.255.254154.129.255.25565,534
131154.130.0.0/16154.130.0.1 to 154.130.255.254154.130.255.25565,534
132154.131.0.0/16154.131.0.1 to 154.131.255.254154.131.255.25565,534
133154.132.0.0/16154.132.0.1 to 154.132.255.254154.132.255.25565,534
134154.133.0.0/16154.133.0.1 to 154.133.255.254154.133.255.25565,534
135154.134.0.0/16154.134.0.1 to 154.134.255.254154.134.255.25565,534
136154.135.0.0/16154.135.0.1 to 154.135.255.254154.135.255.25565,534
137154.136.0.0/16154.136.0.1 to 154.136.255.254154.136.255.25565,534
138154.137.0.0/16154.137.0.1 to 154.137.255.254154.137.255.25565,534
139154.138.0.0/16154.138.0.1 to 154.138.255.254154.138.255.25565,534
140154.139.0.0/16154.139.0.1 to 154.139.255.254154.139.255.25565,534
141154.140.0.0/16154.140.0.1 to 154.140.255.254154.140.255.25565,534
142154.141.0.0/16154.141.0.1 to 154.141.255.254154.141.255.25565,534
143154.142.0.0/16154.142.0.1 to 154.142.255.254154.142.255.25565,534
144154.143.0.0/16154.143.0.1 to 154.143.255.254154.143.255.25565,534
145154.144.0.0/16154.144.0.1 to 154.144.255.254154.144.255.25565,534
146154.145.0.0/16154.145.0.1 to 154.145.255.254154.145.255.25565,534
147154.146.0.0/16154.146.0.1 to 154.146.255.254154.146.255.25565,534
148154.147.0.0/16154.147.0.1 to 154.147.255.254154.147.255.25565,534
149154.148.0.0/16154.148.0.1 to 154.148.255.254154.148.255.25565,534
150154.149.0.0/16154.149.0.1 to 154.149.255.254154.149.255.25565,534
151154.150.0.0/16154.150.0.1 to 154.150.255.254154.150.255.25565,534
152154.151.0.0/16154.151.0.1 to 154.151.255.254154.151.255.25565,534
153154.152.0.0/16154.152.0.1 to 154.152.255.254154.152.255.25565,534
154154.153.0.0/16154.153.0.1 to 154.153.255.254154.153.255.25565,534
155154.154.0.0/16154.154.0.1 to 154.154.255.254154.154.255.25565,534
156154.155.0.0/16154.155.0.1 to 154.155.255.254154.155.255.25565,534
157154.156.0.0/16154.156.0.1 to 154.156.255.254154.156.255.25565,534
158154.157.0.0/16154.157.0.1 to 154.157.255.254154.157.255.25565,534
159154.158.0.0/16154.158.0.1 to 154.158.255.254154.158.255.25565,534
160154.159.0.0/16154.159.0.1 to 154.159.255.254154.159.255.25565,534
161154.160.0.0/16154.160.0.1 to 154.160.255.254154.160.255.25565,534
162154.161.0.0/16154.161.0.1 to 154.161.255.254154.161.255.25565,534
163154.162.0.0/16154.162.0.1 to 154.162.255.254154.162.255.25565,534
164154.163.0.0/16154.163.0.1 to 154.163.255.254154.163.255.25565,534
165154.164.0.0/16154.164.0.1 to 154.164.255.254154.164.255.25565,534
166154.165.0.0/16154.165.0.1 to 154.165.255.254154.165.255.25565,534
167154.166.0.0/16154.166.0.1 to 154.166.255.254154.166.255.25565,534
168154.167.0.0/16154.167.0.1 to 154.167.255.254154.167.255.25565,534
169154.168.0.0/16154.168.0.1 to 154.168.255.254154.168.255.25565,534
170154.169.0.0/16154.169.0.1 to 154.169.255.254154.169.255.25565,534
171154.170.0.0/16154.170.0.1 to 154.170.255.254154.170.255.25565,534
172154.171.0.0/16154.171.0.1 to 154.171.255.254154.171.255.25565,534
173154.172.0.0/16154.172.0.1 to 154.172.255.254154.172.255.25565,534
174154.173.0.0/16154.173.0.1 to 154.173.255.254154.173.255.25565,534
175154.174.0.0/16154.174.0.1 to 154.174.255.254154.174.255.25565,534
176154.175.0.0/16154.175.0.1 to 154.175.255.254154.175.255.25565,534
177154.176.0.0/16154.176.0.1 to 154.176.255.254154.176.255.25565,534
178154.177.0.0/16154.177.0.1 to 154.177.255.254154.177.255.25565,534
179154.178.0.0/16154.178.0.1 to 154.178.255.254154.178.255.25565,534
180154.179.0.0/16154.179.0.1 to 154.179.255.254154.179.255.25565,534
181154.180.0.0/16154.180.0.1 to 154.180.255.254154.180.255.25565,534
182154.181.0.0/16154.181.0.1 to 154.181.255.254154.181.255.25565,534
183154.182.0.0/16154.182.0.1 to 154.182.255.254154.182.255.25565,534
184154.183.0.0/16154.183.0.1 to 154.183.255.254154.183.255.25565,534
185154.184.0.0/16154.184.0.1 to 154.184.255.254154.184.255.25565,534
186154.185.0.0/16154.185.0.1 to 154.185.255.254154.185.255.25565,534
187154.186.0.0/16154.186.0.1 to 154.186.255.254154.186.255.25565,534
188154.187.0.0/16154.187.0.1 to 154.187.255.254154.187.255.25565,534
189154.188.0.0/16154.188.0.1 to 154.188.255.254154.188.255.25565,534
190154.189.0.0/16154.189.0.1 to 154.189.255.254154.189.255.25565,534
191154.190.0.0/16154.190.0.1 to 154.190.255.254154.190.255.25565,534
192154.191.0.0/16154.191.0.1 to 154.191.255.254154.191.255.25565,534
193154.192.0.0/16154.192.0.1 to 154.192.255.254154.192.255.25565,534
194154.193.0.0/16154.193.0.1 to 154.193.255.254154.193.255.25565,534
195154.194.0.0/16154.194.0.1 to 154.194.255.254154.194.255.25565,534
196154.195.0.0/16154.195.0.1 to 154.195.255.254154.195.255.25565,534
197154.196.0.0/16154.196.0.1 to 154.196.255.254154.196.255.25565,534
198154.197.0.0/16154.197.0.1 to 154.197.255.254154.197.255.25565,534
199154.198.0.0/16154.198.0.1 to 154.198.255.254154.198.255.25565,534
200154.199.0.0/16154.199.0.1 to 154.199.255.254154.199.255.25565,534
201154.200.0.0/16154.200.0.1 to 154.200.255.254154.200.255.25565,534
202154.201.0.0/16154.201.0.1 to 154.201.255.254154.201.255.25565,534
203154.202.0.0/16154.202.0.1 to 154.202.255.254154.202.255.25565,534
204154.203.0.0/16154.203.0.1 to 154.203.255.254154.203.255.25565,534
205154.204.0.0/16154.204.0.1 to 154.204.255.254154.204.255.25565,534
206154.205.0.0/16154.205.0.1 to 154.205.255.254154.205.255.25565,534
207154.206.0.0/16154.206.0.1 to 154.206.255.254154.206.255.25565,534
208154.207.0.0/16154.207.0.1 to 154.207.255.254154.207.255.25565,534
209154.208.0.0/16154.208.0.1 to 154.208.255.254154.208.255.25565,534
210154.209.0.0/16154.209.0.1 to 154.209.255.254154.209.255.25565,534
211154.210.0.0/16154.210.0.1 to 154.210.255.254154.210.255.25565,534
212154.211.0.0/16154.211.0.1 to 154.211.255.254154.211.255.25565,534
213154.212.0.0/16154.212.0.1 to 154.212.255.254154.212.255.25565,534
214154.213.0.0/16154.213.0.1 to 154.213.255.254154.213.255.25565,534
215154.214.0.0/16154.214.0.1 to 154.214.255.254154.214.255.25565,534
216154.215.0.0/16154.215.0.1 to 154.215.255.254154.215.255.25565,534
217154.216.0.0/16154.216.0.1 to 154.216.255.254154.216.255.25565,534
218154.217.0.0/16154.217.0.1 to 154.217.255.254154.217.255.25565,534
219154.218.0.0/16154.218.0.1 to 154.218.255.254154.218.255.25565,534
220154.219.0.0/16154.219.0.1 to 154.219.255.254154.219.255.25565,534
221154.220.0.0/16154.220.0.1 to 154.220.255.254154.220.255.25565,534
222154.221.0.0/16154.221.0.1 to 154.221.255.254154.221.255.25565,534
223154.222.0.0/16154.222.0.1 to 154.222.255.254154.222.255.25565,534
224154.223.0.0/16154.223.0.1 to 154.223.255.254154.223.255.25565,534
225154.224.0.0/16154.224.0.1 to 154.224.255.254154.224.255.25565,534
226154.225.0.0/16154.225.0.1 to 154.225.255.254154.225.255.25565,534
227154.226.0.0/16154.226.0.1 to 154.226.255.254154.226.255.25565,534
228154.227.0.0/16154.227.0.1 to 154.227.255.254154.227.255.25565,534
229154.228.0.0/16154.228.0.1 to 154.228.255.254154.228.255.25565,534
230154.229.0.0/16154.229.0.1 to 154.229.255.254154.229.255.25565,534
231154.230.0.0/16154.230.0.1 to 154.230.255.254154.230.255.25565,534
232154.231.0.0/16154.231.0.1 to 154.231.255.254154.231.255.25565,534
233154.232.0.0/16154.232.0.1 to 154.232.255.254154.232.255.25565,534
234154.233.0.0/16154.233.0.1 to 154.233.255.254154.233.255.25565,534
235154.234.0.0/16154.234.0.1 to 154.234.255.254154.234.255.25565,534
236154.235.0.0/16154.235.0.1 to 154.235.255.254154.235.255.25565,534
237154.236.0.0/16154.236.0.1 to 154.236.255.254154.236.255.25565,534
238154.237.0.0/16154.237.0.1 to 154.237.255.254154.237.255.25565,534
239154.238.0.0/16154.238.0.1 to 154.238.255.254154.238.255.25565,534
240154.239.0.0/16154.239.0.1 to 154.239.255.254154.239.255.25565,534
241154.240.0.0/16154.240.0.1 to 154.240.255.254154.240.255.25565,534
242154.241.0.0/16154.241.0.1 to 154.241.255.254154.241.255.25565,534
243154.242.0.0/16154.242.0.1 to 154.242.255.254154.242.255.25565,534
244154.243.0.0/16154.243.0.1 to 154.243.255.254154.243.255.25565,534
245154.244.0.0/16154.244.0.1 to 154.244.255.254154.244.255.25565,534
246154.245.0.0/16154.245.0.1 to 154.245.255.254154.245.255.25565,534
247154.246.0.0/16154.246.0.1 to 154.246.255.254154.246.255.25565,534
248154.247.0.0/16154.247.0.1 to 154.247.255.254154.247.255.25565,534
249154.248.0.0/16154.248.0.1 to 154.248.255.254154.248.255.25565,534
250154.249.0.0/16154.249.0.1 to 154.249.255.254154.249.255.25565,534
251154.250.0.0/16154.250.0.1 to 154.250.255.254154.250.255.25565,534
252154.251.0.0/16154.251.0.1 to 154.251.255.254154.251.255.25565,534
253154.252.0.0/16154.252.0.1 to 154.252.255.254154.252.255.25565,534
254154.253.0.0/16154.253.0.1 to 154.253.255.254154.253.255.25565,534
255154.254.0.0/16154.254.0.1 to 154.254.255.254154.254.255.25565,534
256154.255.0.0/16154.255.0.1 to 154.255.255.254154.255.255.25565,534

IPv4 CIDR reference (/0 to /32)

IPv4 prefix lengths
PrefixSubnet maskWildcardAddressesUsable hostsSizeTypical use
/00.0.0.0255.255.255.2554,294,967,2964,294,967,29416,777,216 × /24
/1128.0.0.0127.255.255.2552,147,483,6482,147,483,6468,388,608 × /24
/2192.0.0.063.255.255.2551,073,741,8241,073,741,8224,194,304 × /24
/3224.0.0.031.255.255.255536,870,912536,870,9102,097,152 × /24
/4240.0.0.015.255.255.255268,435,456268,435,4541,048,576 × /24
/5248.0.0.07.255.255.255134,217,728134,217,726524,288 × /24
/6252.0.0.03.255.255.25567,108,86467,108,862262,144 × /24
/7254.0.0.01.255.255.25533,554,43233,554,430131,072 × /24
/8255.0.0.00.255.255.25516,777,21616,777,21465,536 × /24Old class A; 10.0.0.0/8
/9255.128.0.00.127.255.2558,388,6088,388,60632,768 × /24
/10255.192.0.00.63.255.2554,194,3044,194,30216,384 × /24
/11255.224.0.00.31.255.2552,097,1522,097,1508,192 × /24
/12255.240.0.00.15.255.2551,048,5761,048,5744,096 × /24172.16.0.0/12
/13255.248.0.00.7.255.255524,288524,2862,048 × /24
/14255.252.0.00.3.255.255262,144262,1421,024 × /24
/15255.254.0.00.1.255.255131,072131,070512 × /24
/16255.255.0.00.0.255.25565,53665,534256 × /24Old class B; 192.168.0.0/16
/17255.255.128.00.0.127.25532,76832,766128 × /24
/18255.255.192.00.0.63.25516,38416,38264 × /24
/19255.255.224.00.0.31.2558,1928,19032 × /24
/20255.255.240.00.0.15.2554,0964,09416 × /24
/21255.255.248.00.0.7.2552,0482,0468 × /24
/22255.255.252.00.0.3.2551,0241,0224 × /24Large office or guest Wi-Fi (1,022 hosts)
/23255.255.254.00.0.1.2555125102 × /24Larger office LAN (510 hosts)
/24255.255.255.00.0.0.2552562541 × /24Typical office LAN (old class C)
/25255.255.255.1280.0.0.1271281261/2 of a /24Smaller LAN or VLAN
/26255.255.255.1920.0.0.6364621/4 of a /24Smaller LAN or VLAN
/27255.255.255.2240.0.0.3132301/8 of a /24Small VLAN, phones, cameras
/28255.255.255.2400.0.0.1516141/16 of a /24Small VLAN, phones, cameras
/29255.255.255.2480.0.0.7861/32 of a /24Small fixed public block (5 usable)
/30255.255.255.2520.0.0.3421/64 of a /24Point-to-point (old style)
/31255.255.255.2540.0.0.1221/128 of a /24Point-to-point link (RFC 3021)
/32255.255.255.2550.0.0.0111/256 of a /24One host

IPv6 prefix reference

IPv6 prefix lengths
PrefixAddresses/64 LANs/48 sitesNibbleTypical use
/342,535,295,865,117,307,932,921,825,928,971,026,432 (2^125)2,305,843,009,213,693,95235,184,372,088,832NoAll global unicast (2000::/3)
/165,192,296,858,534,827,628,530,496,329,220,096 (2^112)281,474,976,710,6564,294,967,296Yes
/20324,518,553,658,426,726,783,156,020,576,256 (2^108)17,592,186,044,416268,435,456YesLarge provider allocation (RIPE minimum for some)
/29633,825,300,114,114,700,748,351,602,688 (2^99)34,359,738,368524,288NoRIPE allocation to a provider (often)
/3279,228,162,514,264,337,593,543,950,336 (2^96)4,294,967,29665,536YesProvider allocation (RIPE default)
/364,951,760,157,141,521,099,596,496,896 (2^92)268,435,4564,096Yes
/40309,485,009,821,345,068,724,781,056 (2^88)16,777,216256Yes
/4419,342,813,113,834,066,795,298,816 (2^84)1,048,57616Yes
/481,208,925,819,614,629,174,706,176 (2^80)65,5361YesOne site or organisation (RIPE PI / assignment)
/5275,557,863,725,914,323,419,136 (2^76)4,096Yes
/564,722,366,482,869,645,213,696 (2^72)256YesSmall site or home (common provider assignment)
/60295,147,905,179,352,825,856 (2^68)16YesSome home broadband (16 LANs)
/6418,446,744,073,709,551,616 (2^64)1YesOne LAN or VLAN (needed for SLAAC)
/7272,057,594,037,927,936 (2^56)1/256 of a /64Yes
/80281,474,976,710,656 (2^48)1/65,536 of a /64Yes
/964,294,967,2961/4,294,967,296 of a /64YesEmbeds an IPv4 address (NAT64)
/11265,5361/281,474,976,710,656 of a /64Yes
/1202561/72,057,594,037,927,936 of a /64Yes
/124161/1,152,921,504,606,846,976 of a /64Yes
/12641/4,611,686,018,427,387,904 of a /64No
/12721/9,223,372,036,854,775,808 of a /64NoPoint-to-point link (RFC 6164)
/12811/18,446,744,073,709,551,616 of a /64YesOne host or loopback

Private and special ranges

IPv4

Special-purpose ranges
RangeNameWhat it is
255.255.255.255/32Limited broadcastEvery host on the local network
0.0.0.0/8This networkNot routed; 0.0.0.0 means "any address" in settings
10.0.0.0/8Private (RFC 1918)Office and home networks; not routed on the internet
100.64.0.0/10Shared address space (CGNAT)Used by providers behind carrier-grade NAT (RFC 6598)
127.0.0.0/8LoopbackThis computer
169.254.0.0/16Link-local (APIPA)Self-assigned when no DHCP server answers
172.16.0.0/12Private (RFC 1918)Office and home networks; not routed on the internet
192.0.0.0/24IETF protocol assignmentsSpecial uses such as DS-Lite
192.0.2.0/24Documentation (TEST-NET-1)For examples; never used on a network
192.88.99.0/246to4 relay (deprecated)Formerly anycast for 6to4
192.168.0.0/16Private (RFC 1918)Office and home networks; not routed on the internet
198.18.0.0/15BenchmarkingNetwork equipment testing (RFC 2544)
198.51.100.0/24Documentation (TEST-NET-2)For examples; never used on a network
203.0.113.0/24Documentation (TEST-NET-3)For examples; never used on a network
224.0.0.0/4MulticastOne-to-many traffic, such as IPTV and routing protocols
240.0.0.0/4ReservedFuture use; not usable on most systems

IPv6

Special-purpose ranges
RangeNameWhat it is
::/128UnspecifiedNo address; :: means "any address" in settings
::1/128LoopbackThis computer
::ffff:0:0/96IPv4-mappedAn IPv4 address written as IPv6
64:ff9b::/96NAT64IPv4 addresses reached through a NAT64 gateway
100::/64Discard onlyTraffic sent here is dropped (RFC 6666)
2001:db8::/32DocumentationFor examples; never used on a network
2001::/32TeredoIPv6 tunnelled over IPv4 UDP
2002::/166to4IPv6 tunnelled over IPv4 (largely retired)
3fff::/20DocumentationFor examples (RFC 9637)
fc00::/7Unique local (ULA)Private IPv6, like RFC 1918; usually fd00::/8
fe80::/10Link-localEvery IPv6 interface has one; not routed
ff00::/8MulticastOne-to-many traffic; replaces broadcast
2000::/3Global unicastPublic internet addresses